## org.apache.commons.math.ode.nonstiff
Class ThreeEighthesIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.ThreeEighthesIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class ThreeEighthesIntegrator

extends RungeKuttaIntegrator

This class implements the 3/8 fourth order Runge-Kutta integrator for Ordinary Differential Equations.

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |  0    0    0    0
       1/3 | 1/3   0    0    0
       2/3 |-1/3   1    0    0
        1  |  1   -1    1    0
           |--------------------
           | 1/8  3/8  3/8  1/8

Since:
  1.2
Version:
  $Revision: 786881 $ $Date: 2009-06-20 14:53:08 -0400 (Sat, 20 Jun 2009) $
See Also:
  `EulerIntegrator`, `ClassicalRungeKuttaIntegrator`, `GillIntegrator`, `MidpointIntegrator`

Field Summary
`private static double[][]` `a` Internal weights Butcher array.
`private static double[]` `b` Propagation weights Butcher array.
`private static double[]` `c` Time steps Butcher array.

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`eventsHandlersManager, stepHandlers, stepSize, stepStart`

Constructor Summary
`ThreeEighthesIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c

    private static final double[] c

  Time steps Butcher array.

### a

    private static final double[][] a

  Internal weights Butcher array.

### b

    private static final double[] b

  Propagation weights Butcher array.

Constructor Detail

### ThreeEighthesIntegrator

    public ThreeEighthesIntegrator(double step)

  Simple constructor. Build a 3/8 integrator with the given step.

  Parameters:
    `step` - integration step

Copyright (c) 2003-2010 Apache Software Foundation